//
//  fitness_function.h
//  Experiment
//
//  Created by Andreas Giskeødegård on 4/7/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#ifndef Experiment_fitness_function_h
#define Experiment_fitness_function_h
#include "structs.h"
#include "genetic_algorithm.h"


void develop_an_attractor(automata * ca,
                          weighted_element * we);

void calculate_attractor_and_rule_fitness(automata * ca, 
                                          weighted_element * we, 
                                          int biggest_difference, 
                                          int wanted_atractor, 
                                          int relative_close);
void calculate_compound_fitness(weighted_element * we, 
                                double attractor_divider, 
                                double rule_divider, 
                                double genome_weight);
#endif
