//
//  path_and_name.c
//  Experiment
//
//  Created by Andreas on 5/2/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#include <stdio.h>
#include <string.h>
#include "path_and_name.h"


void substring_title(char * dest, const char * title){
    strcpy(dest, title);
    int index = 0;
    char * ptr = dest;
    while (*ptr != 0){
        index++;
        ptr++;
    }
    ptr = dest + (index-4);
    if (strcmp(ptr, "_dev") == 0){
        dest[index-4] = 0;
    }
}

const char * base_name_of_file(const char * fn){
    if (fn[0] == 'g' || fn[0] == 'G'){
            return "Growth";
    }else if (fn[0] == 'r' || fn[0] == 'R'){
            return "Restricted";
    }
    return "Full";
}

void path_and_name_handle(char * dest, const char * name){
    strcpy(dest, PATH_FOR_HANDLING);
    strcat(dest, name);
}

void path_and_name_product(char * dest, const char * name){
    strcpy(dest, PATH_FOR_PRODUCTS);
    strcat(dest, name);    
}

void name_growth(char * dest, const char * name){
    strcpy(dest, name);
    strcat(dest, SURFIX_GROWTH);
}

void path_and_name_growth(char * dest, const char * name){
    strcpy(dest, PATH_FOR_PLOT_DATA);
    strcat(dest, name);
    strcat(dest, SURFIX_GROWTH);
}

void name_rule_usage(char * dest, const char * name){
    strcpy(dest, name);
    strcat(dest, SURFIX_RULE_USAGE);
}

void path_and_name_rule_usage(char * dest, const char * name){
    strcpy(dest, PATH_FOR_PRODUCTS);
    strcat(dest, name);
    strcat(dest, SURFIX_RULE_USAGE);
}

void path_and_name_histogram(char * dest, const char * name){
    strcpy(dest, PATH_FOR_PRODUCTS);
    strcat(dest, name);
    strcat(dest, SURFIX_HISTOGRAM);
}

void name_cumul(char * dest, const char * name){
    strcpy(dest, name);
    strcat(dest, SURfIX_RULE_USAGE_CUMULATIVE);
}

void path_and_name_cumul(char * dest, const char * name){
    strcpy(dest, PATH_FOR_PRODUCTS);
    strcat(dest, name);
    strcat(dest, SURfIX_RULE_USAGE_CUMULATIVE);
    
    
}

void name_usage_in_dev(char * dest, const char * name){
    strcpy(dest, name);
    strcat(dest, SURFIX_RULE_DEV);
}

void path_and_name_usage_in_dev(char * dest, const char * name){
    strcpy(dest, PATH_FOR_PRODUCTS);
    strcat(dest, name);
    strcat(dest, SURFIX_RULE_DEV);    
}

void name_plot_data(char * dest, const char * name){
    strcpy(dest, name);
    substring_title(dest, dest);
    strcat(dest, SURFIX_PLOT_DATA);    
}

void path_and_name_plot_data(char * dest, const char * name){
    strcpy(dest, PATH_FOR_PLOT_DATA);
    strcat(dest, name);
    substring_title(dest, dest);
    strcat(dest, SURFIX_PLOT_DATA);    
}

void name_plot_script(char * dest, const char * name){
    strcpy(dest, name);
    strcat(dest, SURFIX_PLOT_SCRIPTS);    
}

void path_and_name_plot_script(char * dest, const char * name){
    strcpy(dest, PATH_FOR_PLOT_SCRIPTS);
    strcat(dest, name);
    strcat(dest, SURFIX_PLOT_SCRIPTS);    
}

