//
//  population.h
//  Experiment
//
//  Created by Andreas Giskeødegård on 4/9/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#ifndef Experiment_population_h
#define Experiment_population_h
#include "structs.h"


population * init_restricted_population(int pop_size, ca_values values, int buffersize, int restriction);
population * init_growing_population(int pop_size, ca_values values, int buffersize, int start_size);
population * init_population(int population_size, ca_values values, int buffersize);



int reduce_selected_value(int selected_value, range r);

/**
 * BREEDING
 */
automata * get_a_parent(int * selected_index, int skip_index);
int add_automata_with_genotype(int * index, ca_values values, list * gtype);
int fill_two_new_children_from_index(int * index);
void transfer_phenotype_buffers();
void fill_new_population(int number_of_elites);


#endif
