//
//  program_setup.h
//  Experiment
//
//  Created by Andreas on 5/1/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#ifndef Experiment_program_setup_h
#define Experiment_program_setup_h
#include "structs.h"
void develop_with_data_gathering(automata * ca, ca_settings settings);
void create_comparison_lin();
void fine_tune_mutation_rate_expon();
void check_fittness_weighting(int attractor);
void long_run(int steps, double mutation, double activation);

void growing_4x4_3state_experiment_short();
void rest_4x4_3state_experiment_short();
void growing_4x4_single_run_for_gen_length(int attractor);
void config_mutation_pr_chrom();
void test_for_elitism(int pr_individ);

void main_experiment_part1();
void main_experiment_part2();
void main_experiment_part3();
void main_experiment_part4();

void redevelop_for_different_geometry(const char *fn);
#endif
