//
//  cellular_automata.h
//  Experiment
//
//  Created by Andreas Giskeødegård on 3/26/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#ifndef Experiment_cellular_automata_h
#define Experiment_cellular_automata_h
#include "structs.h"

void free_automata(automata * ca);
automata * init_automata(ca_values values);

automata * init_random_automata_with(ca_values values, int buffersize);
automata * init_restricted_automata_with(ca_values values, int buffersize, int restriction);
automata * init_growing_automata_with(ca_values values, int buffersize, int start_size);

#endif
