//
//  file_helper.h
//  Experiment
//
//  Created by Andreas Giskeødegård on 3/29/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#ifndef Experiment_file_helper_h
#define Experiment_file_helper_h
#include "structs.h"
char * find_file_name();
void set_filename(char * new_name, int new_size);
void open_attractor_dev_file();
void close_attractor_dev_file();
void open_save_file(int temp_file);
void close_save_file(int temp_file);
void open_read_file(int temp_file);
void close_read_file(int temp_file);
void clear_filename_buffer();
void clear_tmp();
fpos_t get_file_pos();
void write_more_stats();
void write_growth(int * min, int * max, int length);
void write_regulation_heading(int restriction);
void write_param_results(int m_rate, int e_size, int f_index);
void write_success_rate(int number_total);
void write_statistics(attractor * a);
void write_attractor_development(weighted_element * we, int size);
void write_genotype(list * gtype, int states);
void write_phenotype(linked_buffer * ptype, int size, int width);
void write_deveopment_start();

int fill_hd_buffer(const fpos_t * current_pos);
int get_buffers_from(long step);



#endif
