//
//  growth.c
//  Experiment
//
//  Created by Andreas Giskeødegård on 4/29/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#include <stdio.h>
#include "growth.h"
#include "chance.h"
#include "genotype.h"
#include "population.h"


//Extern set
int add_gene_thresh = -1;
int add_gene_limit = 0;
int add_gene_counter = 0;

//Extern get
extern population * pop;

/**
* ADDING CHROMOSOME
*/

void setup_adding_functionality(int add_treshhold, int add_limit){
    add_gene_thresh = add_treshhold;
    add_gene_limit = add_limit;
}

void add_chromosome_to_pop(){
    if (-1 != add_gene_thresh && add_gene_counter >= add_gene_thresh){
        int * added = malloc(sizeof(int)* pop->size);
        int added_size = 0;
        for (int i = 0; i < pop->size; i++){
            
            
            if (hit_on_probability(ADD_CHROMOSOM_RATE)){
                automata * ca = NULL;
                int found = 1;
                do {
                    //this will most likely be the fittest individual so we can save many runs
                    //by using this skip
                    int skip = 0 < added_size ? added[0] : -1;
                    ca = get_a_parent(&(added[added_size]), skip);
                    found = 1;
                    for (int i = 0; i < added_size; i++ ){
                        if (added[added_size] == added[i]){
                            found = 0;;
                            break;
                        }
                    }
                } while (!found);

                added_size++;
                
                if (ca->gtype->size < add_gene_limit){
                    ca->gtype = grow_gene_copy_random(ca->gtype);
                }
                add_gene_counter = 0;
            }
        }
        free(added);
    }
}