//
//  path_and_name.h
//  Experiment
//
//  Created by Andreas on 5/2/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#ifndef Experiment_path_and_name_h
#define Experiment_path_and_name_h
#include "structs.h"

void substring_title(char * dest, const char * title);

const char * base_name_of_file(const char * fn);

void path_and_name_handle(char * dest, const char * name);
void path_and_name_product(char * dest, const char * name);

void name_growth(char * dest, const char * name);
void path_and_name_growth(char * dest, const char * name);

void name_rule_usage(char * dest, const char * name);
void path_and_name_rule_usage(char * dest, const char * name);

void path_and_name_histogram(char * dest, const char * name);

void name_usage_in_dev(char * dest, const char * name);
void path_and_name_usage_in_dev(char * dest, const char * name);

void name_cumul(char * dest, const char * name);
void path_and_name_cumul(char * dest, const char * name);

void name_plot_data(char * dest, const char * name);
void path_and_name_plot_data(char * dest, const char * name);

void name_plot_script(char * dest, const char * name);
void path_and_name_plot_script(char * dest, const char * name);


#endif
