//
//  phenotype.h
//  Experiment
//
//  Created by Andreas Giskeødegård on 3/26/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#ifndef Experiment_phenotype_h
#define Experiment_phenotype_h

#include "structs.h"

void free_ptype_mem_buffers(automata * ca);
ptype * init_empty_ptype(automata * ca);
void setup_ptype(ptype * p, int buffer_n);
linked_buffer * get_indicated_mem_buffer(ptype * p);
void shift_ptype_buffer(automata * ca);
void set_initial_condition_on_ptype(ptype * ptype);
void save_mem_buffer_to_disk(automata * ca, int temp_file);

void save_number_mem_buffer_to_disk(automata * ca, int skip_amount, int save_amount, int temp_file);

#endif
