//
//  stats.c
//  Experiment
//
//  Created by Andreas Giskeødegård on 4/22/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#include <stdio.h>
#include "stats.h"
#include "file_helper.h"


setting_flags flags;

int wanted_attractor = 0;

int max_step = 0;
int finished_step = 0;

int nr_of_success = 0;
int nr_of_elites =  0;
int nr_of_changed = 0;
int nr_of_unchanged = 0;

double mutated_bits_pr_individ = 0.0;
double fitness_activation_ratio = 0.0;
double genome_weight_ratio = 0.0;

void clear_stats(){
    wanted_attractor = 0;
    flags.is_successfull = 0;
    nr_of_changed = 0;
    nr_of_unchanged = 0;
    finished_step = 0;
    max_step = 0;
}

void save_statistics(attractor * a){
    open_save_file(0);
    write_statistics(a);
    close_save_file(0);
}