//
//  timing.c
//  Experiment
//
//  Created by Andreas Giskeødegård on 4/18/13.
//  Copyright (c) 2013 Andreas Giskeødegård. All rights reserved.
//

#include <stdio.h>
#include "timeing.h"

static double timings[5] = {0.0, 0.0, 0.0, 0.0, 0.0};
static struct timeval  tv1, tv2, tv3, tv4;


void start_timeing(){
    gettimeofday(&tv1, NULL);
}


void save_timeing_to(enum TIMETYPE type){
    gettimeofday(&tv2, NULL);
    timings[type] += (double) (tv2.tv_usec - tv1.tv_usec)/1000000 + (double) (tv2.tv_sec - tv1.tv_sec);
}

void start_timeing_2(){
    gettimeofday(&tv3, NULL);
}

void print_current_spent(){
    gettimeofday(&tv4, NULL);
    printf("current spent time: %f\n", (double) (tv4.tv_usec - tv3.tv_usec)/1000000 + (double) (tv4.tv_sec - tv3.tv_sec));
}

 void print_time_stats(){
     printf ("\ndev : %f\natr : %f\nio_w : %f\nio_r : %f\nGAstuff : %f\n", timings[DEV], timings[ATR], timings[IOW], timings[IOR], timings[GA]);
 }